Bug 247334 - sysutils/javaservicewrapper: fix build with Java 12+
Summary: sysutils/javaservicewrapper: fix build with Java 12+
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-17 06:22 UTC by Michael Osipov
Modified: 2020-06-29 18:30 UTC (History)
4 users (show)

See Also:
michael.osipov: maintainer-feedback+
lwhsu: merge-quarterly+


Attachments
Patch against /usr/ports (735 bytes, patch)
2020-06-17 06:22 UTC, Michael Osipov
michael.osipov: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Osipov 2020-06-17 06:22:29 UTC
Created attachment 215648 [details]
Patch against /usr/ports

System complains that some files are missing this is due to the fact that these JDKs don't have VM vender string set and the test fails.

A patch is attached.
Comment 1 Fernando Apesteguía freebsd_committer 2020-06-17 10:03:46 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]

Thanks!
Comment 2 commit-hook freebsd_committer 2020-06-18 04:03:40 UTC
A commit references this bug:

Author: lwhsu
Date: Thu Jun 18 04:02:49 UTC 2020
New revision: 539523
URL: https://svnweb.freebsd.org/changeset/ports/539523

Log:
  Fix build with Java 12+

  PR:		247334
  Submitted by:	Michael Osipov <michael.osipov@siemens.com> (maintainer)
  MFH:		2020Q2

Changes:
  head/sysutils/javaservicewrapper/files/patch-build-tests.xml
Comment 3 Michael Osipov 2020-06-29 18:30:31 UTC
Since this is now on head and will be available in the next quartely in three days, closing as fixed.